interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/all/search.json?q=reddit
  response:
    body:
      string: !!binary |
[encoded data, 39865 characters]
        SZli6/3rX3jNx01i06uirgH70r/+9f8Av1JVLkDmAQA=
    headers:
      CF-RAY: [2c64ca7017065170-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['26765']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Fri, 22 Jul 2016 06:21:10 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=dd60790d9dddff772a99fbd3578493c3c1469168468; expires=Sat,
          22-Jul-17 06:21:08 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Fhoutrm6%2Bq40rwVC7b9GTc23ZKcsAvrxKlgz9k%2BSdzHs%2BppUMRq0OCVle1Crm%2Fy5EHXvEv0VW%2Bo%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
